#!/usr/bin/env Rscript
source("predict_wrapper.R")

args = commandArgs(trailingOnly=TRUE)

postfix=""

print(args)

if(length(args)==2) {
  
  ver = args[1]
  num = as.numeric(args[2])
  
  if(is.na(num)) {
    print("Run number needs to be numeric, quitting.")
    return()
  }
} else {
  print("Wrong number of arguments")
  return()
}

Ncore = 8
Nrep = 8
Nbg = 8

out = predict_wrapper(dataX=list(datasource="gt", datatype="rnaseq",tissue="skin", version=ver),
		 dataY=list(datasource="gt", datatype="rppa", tissue="skin"), 
                 method="pls", 
                 remove_dups="FALSE",  
                 Nrep=Nrep, 
                 Nbg=Nbg, 
                 Ncore=Ncore,
                 integration="early")


#out/out_{datasource}_{datatype}_version{version}_{tissue}_{method}_matched{matched}_removeDups{remove_dups}_integration{integration}_{run}.RData
filename = paste("analysis/out_mrnaVSprot_cosmic_",num,".RData", sep="")

save(out, file = filename)

a=1
b=2
c=a+b

